

***** Custom chip register table *****

;General registers

Dmaconr		= $DFF002
Vposr		= $DFF004
Vhposr		= $DFF006
Joy0dat		= $DFF00A
Joy1dat		= $DFF00C
Clxdat		= $DFF00E
PotGor		= $dff016
Intenar		= $DFF01C
Intereqr	= $DFF01E
Copcon		= $DFF02E
joytest		= $dff036
;Blitter registers

Bltcon0		= $DFF040
Bltcon1		= $DFF042
Bltafwm		= $DFF044
Bltalwm		= $DFF046
Bltcpth		= $DFF048
Bltcptl		= $DFF04A
Bltbpth		= $DFF04C
Bltbptl		= $DFF04E
Bltapth		= $DFF050
Bltaptl		= $DFF052
Bltdpth		= $DFF054
Bltdptl		= $DFF056
Bltsize		= $DFF058
Bltcmod		= $DFF060
Bltbmod		= $DFF062
Bltamod		= $DFF064
Bltdmod		= $DFF066
Bltcdat		= $DFF070
Bltbdat		= $DFF072
Bltadat		= $DFF074

;Copper registers

Cop1lc		= $DFF080
Cop1lch		= $DFF080
Cop1lcl		= $DFF082
Cop2lc		= $DFF084
Cop2lch		= $DFF084
Cop2lcl		= $DFF086
Copjmp1		= $DFF088
Copjmp2		= $DFF08A
Diwstrt		= $DFF08E
Diwstop		= $DFF090
Ddfstrt		= $DFF092
Ddfstop		= $DFF094
Dmacon		= $DFF096
Clxcon		= $DFF098
Intena		= $DFF09A
Intreq		= $DFF09C
Color00		= $DFF180
Color01		= $DFF182
Color02		= $DFF184
Color03		= $DFF186
Color04		= $DFF188
Color05		= $DFF18A
Color06		= $DFF18C
Color07		= $DFF18E
Color08		= $DFF190
Color09		= $DFF192
Color10		= $DFF194
Color11		= $DFF196
Color12		= $DFF198
Color13		= $DFF19A
Color14		= $DFF19C
Color15		= $DFF19E
Color16		= $DFF1A0
Color17		= $DFF1A2
Color18		= $DFF1A4
Color19		= $DFF1A6
Color20		= $DFF1A8
Color21		= $DFF1AA
Color22		= $DFF1AC
Color23		= $DFF1AE
Color24		= $DFF1B0
Color25		= $DFF1B2
Color26		= $DFF1B4
Color27		= $DFF1B6
Color28		= $DFF1B8
Color29		= $DFF1BA
Color30		= $DFF1BC
Color31		= $DFF1BE

Bpl1pth		= $DFF0E0
Bpl1ptl		= $DFF0E2
Bpl2pth		= $DFF0E4
Bpl2ptl		= $DFF0E6
Bpl3pth		= $DFF0E8
Bpl3ptl		= $DFF0EA
Bpl4pth		= $DFF0EC
Bpl4ptl		= $DFF0EE
Bpl5pth		= $DFF0F0
Bpl5ptl		= $DFF0F2
Bpl6pth		= $DFF0F4
Bpl6ptl		= $DFF0F6
Bplcon0		= $DFF100
Bplcon1		= $DFF102
Bplcon2		= $DFF104
Bpl1mod		= $DFF108
Bpl2mod		= $DFF10A

Spr0pth		= $DFF120
Spr0ptl		= $DFF122
Spr1pth		= $DFF124
Spr1ptl		= $DFF126
Spr2pth		= $DFF128
Spr2ptl		= $DFF12A
Spr3pth		= $DFF12C
Spr3ptl		= $DFF12E
Spr4pth		= $DFF130
Spr4ptl		= $DFF132
Spr5pth		= $DFF134
Spr5ptl		= $DFF136
Spr6pth		= $DFF138
Spr6ptl		= $DFF13A
Spr7pth		= $DFF13C
Spr7ptl		= $DFF13E
Spr0pos		= $DFF140
Spr0ctl		= $DFF142
Spr0data	= $DFF144
Spr0datb	= $DFF146
Spr1pos		= $DFF148
Spr1ctl		= $DFF14A
Spr1data	= $DFF14C
Spr1datb	= $DFF14E
Spr2pos		= $DFF150
Spr2ctl		= $DFF152
Spr2data	= $DFF154
Spr2datb	= $DFF156
Spr3pos		= $DFF158
Spr3ctl		= $DFF15A
Spr3data	= $DFF15C
Spr3datb	= $DFF15E
Spr4pos		= $DFF160
Spr4ctl		= $DFF162
Spr4data	= $DFF164
Spr4datb	= $DFF166
Spr5pos		= $DFF168
Spr5ctl		= $DFF16A
Spr5data	= $DFF16C
Spr5datb	= $DFF16E
Spr6pos		= $DFF170
Spr6ctl		= $DFF172
Spr6data	= $DFF174
Spr6datb	= $DFF176
Spr7pos		= $DFF178
Spr7ctl		= $DFF17A
Spr7data	= $DFF17C
Spr7datb	= $DFF17E

;Macros to help in writing copperlists

Mov:	Macro		;mov	data,reg
	Dc.w	\2&$1fe
	Dc.w	\1
	Endm

Wait:	Macro		;Wait	px,py

	Dc.b	\2&$ff
	Dc.b	\1&$fe!1
	Dc.w	$FFFE		
	Endm			

Skip:	Macro		;Skip	px,py
	
	Dc.b	\2&$ff	
	Dc.b	\1&$fe
	Dc.w	$FFFE
	Endm

